Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84622 - 0.31-3 RPM rebuild requires Test::More
Summary: 0.31-3 RPM rebuild requires Test::More
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: perl-Net-DNS
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 18:39 UTC by tengel
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-28 07:22:39 UTC


Attachments (Terms of Use)

Description tengel 2003-02-19 18:39:50 UTC
Description of problem:
Attempting to --rebuild the perl-Net-DNS RPM fails if perl < 5.8, as it tries to
run "make test", which requires Test::More.

Version-Release number of selected component (if applicable):
perl-Net-DNS-0.31-3.src.rpm

How reproducible:
On Red Hat 7.3, run "rpm --rebuild perl-Net-DNS-0.31-3.src.rpm"

Additional info:
The SPEC should either be altered to require perl >= 5.8, or provide a new
package of perl-Test-Simple from CPAN and require it.

Comment 1 Warren Togami 2005-05-28 07:22:39 UTC
This is definitely fixed in modern versions.


Note You need to log in before you can comment on or make changes to this bug.